<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- profile.qdoc -->
  <title>Profile QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbslanguageitems-product.html" />
  <link rel="next" href="qml-qbslanguageitems-project.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbslanguageitems-product.html">Product</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbslanguageitems-project.html">Project</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Profile QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Profile-brief -->
<p>Creates a profile within the project. <a href="#details">More...</a></p>
<!-- @@@Profile -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsLanguageItems .</td></tr></table></div><ul>
<li><a href="qml-qbslanguageitems-profile-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbslanguageitems-profile.html#baseProfile-prop">baseProfile</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbslanguageitems-profile.html#condition-prop">condition</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbslanguageitems-profile.html#name-prop">name</a></b></b> : string</li>
</ul>
<!-- $$$Profile-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The profiles used by Qbs are normally set up on a user's machine and are then available to all projects. See <a href="configuring.html">Configuring Profiles and Preferences</a> for information on how to set up and use profiles on the command line. In some rare cases, however, the creator of a project has complete knowledge about the system on which that project is to be built. Then it can make sense to integrate the profile into the project:</p>
<pre class="cpp">

  Product {
      <span class="comment">// ...</span>
      Profile {
          name: <span class="string">&quot;my-special-profile&quot;</span>
          qbs<span class="operator">.</span>toolchainType: <span class="string">&quot;gcc&quot;</span>
          qbs<span class="operator">.</span>targetPlatform: <span class="string">&quot;linux&quot;</span>
          qbs<span class="operator">.</span>architecture: <span class="string">&quot;armv7a&quot;</span>
          cpp<span class="operator">.</span>toolchainInstallPath: <span class="string">&quot;/opt/special-gcc/bin&quot;</span>
          cpp<span class="operator">.</span>toolchainPrefix: <span class="string">&quot;arm-linux-gnueabi-&quot;</span>
      }
      qbs<span class="operator">.</span>profiles: <span class="operator">[</span><span class="string">&quot;my-special-profile&quot;</span><span class="operator">]</span>
      <span class="comment">// ...</span>
  }

</pre>
<p>The project in the above example can be built in a particular well-known environment without any additional setup.</p>
<p><code>Profile</code> items can appear inside <a href="qml-qbslanguageitems-product.html">Product</a> and <a href="qml-qbslanguageitems-project.html">Project</a> items.</p>
<!-- @@@Profile -->
<h2>Property Documentation</h2>
<!-- $$$baseProfile -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="baseProfile-prop">
<td class="tblQmlPropNode"><p>
<span class="name">baseProfile</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of a profile from which this profile inherits. If the same property is set in both this profile and the base profile, the value from this profile takes precedence.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@baseProfile -->
<br/>
<!-- $$$condition -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="condition-prop">
<td class="tblQmlPropNode"><p>
<span class="name">condition</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Determines whether this profile can be used.</p>
<p>If this property is set to <code>false</code>, the profile cannot be used.</p>
<p>Default: <code>true</code></p>
</div></div><!-- @@@condition -->
<br/>
<!-- $$$name -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="name-prop">
<td class="tblQmlPropNode"><p>
<span class="name">name</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name under which the profile can be referenced later. Setting this property is required. The value must be unique among all profiles in an entire project.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@name -->
<br/>
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbslanguageitems-product.html">Product</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbslanguageitems-project.html">Project</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
